//Autor: Ate Akaydn
//Date: 12.05.2008
/*
	This is the vg color class which represents a single RGB color
*/
#ifndef VG_COLOR_H
#define VG_COLOR_H

#include <windows.h>
#include <gl.h>
#include <glu.h>
//#include <gl/glaux.h>
#include <assert.h>

class VG_Color{

public:

	//Default constructor
	VG_Color():r(0),g(0),b(0){}

	//Constructor with parameters
	VG_Color( GLubyte rc, GLubyte gc, GLubyte bc ):r(rc),g(gc),b(bc){}

	//Copy constructor
	VG_Color( const VG_Color & c ){
		r = c.r;
		g = c.g;
		b = c.b;
	}

	//Color
	GLubyte r,g,b;

};

#endif

